// bib.h                Section: 4.2
//      Copyright 1994, Center for Computer Vision and Visualization,
//      University of Florida.  All rights reserved.
// Binary Image Boundries:  four version are defined,
//      an Interior and Exterior, 4 and 8 Boundary
//

#ifndef bib_h_
#define bib_h_

#include "BitDI.h"

IA_Image<IA_Point<int>,IA_Bit>
exterior_8_boundary( const IA_Image<IA_Point<int>,IA_Bit> & a );


IA_Image<IA_Point<int>,IA_Bit>
interior_8_boundary( const IA_Image<IA_Point<int>,IA_Bit> & a );


IA_Image<IA_Point<int>,IA_Bit>
exterior_4_boundary( const IA_Image<IA_Point<int>,IA_Bit> & a );

IA_Image<IA_Point<int>,IA_Bit>
interior_4_boundary( const IA_Image<IA_Point<int>,IA_Bit> & a );

#endif
